sata_link_resume
Prev | Chapter 4. libata Library | Next

## Name

sata_link_resume — resume SATA link

## Synopsis

`int sata_link_resume (` | struct ata_link * | link,
| const unsigned long * | params,
| unsigned long | deadline`)`;

## Arguments

`link`

  ATA link to resume SATA

`params`

  timing parameters { interval, duratinon, timeout } in msec

`deadline`

  deadline jiffies for the operation

## Description

Resume SATA phy `link` and debounce it.

## LOCKING

Kernel thread context (may sleep)

## RETURNS

0 on success, -errno on failure.

Prev | Up | Next
sata_link_debounce | Home | ata_std_prereset